tilemapplot <- function(datapath)
{
	 data<-read.table(datapath, header = FALSE)
	 mmax<-max(data[,2])
	 mmin<-min(data[,2])
	 if(mmax-mmin > 1e-20)
	 {
	 	data[,2]<-1-(data[,2]-mmin)/(mmax-mmin)
	 }
	 
	 mmax<-max(data[,4])
	 mmin<-min(data[,4])
	 if(mmax-mmin > 1e-20)
	 {
	 	data[,4]<-1-(data[,4]-mmin)/(mmax-mmin)
	 } 
	 
	 x<-cbind(data[,1], data[,1], data[,1], data[,1])
	 y<-cbind(data[,2], data[,3]+2, data[,4]+4, data[,5]+6)
	 matplot(x,y, xlab="genomic coordinate", pch=20:23) 
	 abline(h=2.5, lty=2)
	 abline(h=6.5, lty=2)
	 text(data[1,1],0.8,'TileMap: probe level test-statistics', pos=4)
	 text(data[1,1],2.8,'TileMap(HMM): HMM posterior probability', pos=4)
	 text(data[1,1],4.8,'TileMap(MA): 1-standardized mean scan statistics', pos=4)
	 text(data[1,1], 6.0,'TileMap(MA): local FDR', pos=4);
}

# Please specify your own data file in the first line
datapath <- "cMycA_tile_chr21_14677034_14677449.txt"
tilemapplot(datapath)



